Newer Version Available

This content describes an older version of this product. View Latest

Get Global Publisher Layouts and Descriptions

Retrieves lists of global publisher layouts and their descriptions. Global publisher layouts customize the actions on global pages (like the Home page). In Lightning Experience, these layouts populate the Global Actions menu.

Syntax

URI
/services/data/vXX.X/sobjects/Global/describe/layouts/
Formats
JSON, XML
HTTP Method
GET
Authentication
Authorization: Bearer token
Parameters
None required

Example

Example Request
1curl https://MyDomainName.my.salesforce.com/services/data/v66.0/sobjects/Global/describe/layouts/ -H "Authorization: Bearer token"
Example Response Body
1{
2  "layouts": [
3    {
4      "buttonLayoutSection": null,
5      "detailLayoutSections": [],
6      "editLayoutSections": [],
7      "feedView": null,
8      "highlightsPanelLayoutSection": null,
9      "id": "00hRO000000Mo6jYAC",
10      "multirowEditLayoutSections": [],
11      "offlineLinks": [],
12      "quickActionList": {
13        "quickActionListItems": [
14          {
15            "accessLevelRequired": null,
16            "colors": [
17              {
18                "color": "65CAE4",
19                "context": "primary",
20                "theme": "theme4"
21              }
22            ],
23            "iconUrl": null,
24            "icons": [
25              {
26                "contentType": "image/svg+xml",
27                "height": 0,
28                "theme": "theme4",
29                "url": "https://rockyroads.test1.my.pc-rnd.salesforce.com/img/icon/t4v35/action/share_post.svg",
30                "width": 0
31              },
32               ...
33            ],
34            "label": "Post",
35            "miniIconUrl": "",
36            "quickActionName": "FeedItem.TextPost",
37            "targetSobjectType": null,
38            "type": "Post",
39            "urls": {}
40          },
41          ...
42        ]
43      },
44      "relatedContent": null,
45      "relatedLists": [],
46      "saveOptions": []
47    }
48  ],
49  "recordTypeMappings": [],
50  "recordTypeSelectorRequired": [
51    false
52  ]
53}